		module rgb_out_bluebdr(addr, clk, PCol, PRow, data, RD, GN, BL);

		input clk;
		//PCol and PRow are taken are generated by the VGA_SYNC module
		//they are used to tell what pixel position the module is writing to 

		input [9:0] PCol, PRow;
		input [2:0] data;

		output [15:0] addr;
		output RD, GN, BL;
		reg RD, GN, BL;
		reg[15:0] addrtemp;

		//On the rising edge of the 25.175 MHz clock

		always@(posedge clk)

		begin
			//if pixels outside the range of column 192 to 447 or row 113 to 
			//368 are currently being displayed display red, this creates a 
			//blue border around the 256 x 256 pixel image	

			if ((PCol > 447) || (PCol < 192) || (PRow < 113) || (PRow > 368))
				begin
					RD = 0;
					BL = 1;
					GN = 0;
				end
		// if pixels are being displayed inside the 256x256 box, begin 
		//displaying the inputted data (from SRAM)

			else
				begin
					RD = data[2];
					BL = data[1];
					GN = data[0];

				end
		end

		//increment the address of the EPROM on the negative edge of the clock 
		//to allow the data to stabilize before reading it on the positve edge
		always@(negedge clk)
		begin
			//if there is no data being written (currently in the border areas), 
			//do not increment the address

			if ((PCol > 447) || (PCol < 192) || (PRow < 113) || (PRow > 368))
				addrtemp = addrtemp;
			else
				addrtemp = addrtemp +1;
		
		end
	
		assign addr = addrtemp;

		endmodule
